<?php

namespace App\Http\Controllers;

use App\Models\KategoriTps;

class AboutController extends Controller
{
    public function index()
    {
        $title = 'Tentang';
        $kategoriTps = KategoriTps::all();

        return view('user.about', compact('title', 'kategoriTps'));
    }

    public function show($id)
    {
        // Ambil kategori berdasarkan id
        $kategori = KategoriTps::findOrFail($id);

        // Ambil semua kategori untuk sidebar
        $kategoriTps = KategoriTps::all();

        $title = 'Tentang ' . $kategori->nama_kategori;

        return view('user.about-tps', compact('title', 'kategori', 'kategoriTps'));
    }
}
